# ------------------------------------------------------------------------------
#
# **AMS Library**
#
# A collection of tools and functions used to interact with SketchUp window and
# its sub-windows using Microsoft Windows API. This library does nothing by
# itself.
#
# Version
#   3.1.4
#
# Release Date
#   February 06, 2016
#
# Author
#   Anton Synytsia - anton.synytsia@gmail.com
#
# ------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

# @since 2.0.0
module AMS; end
# @since 2.0.0
module AMS::Lib

  NAME          = 'AMS Library'.freeze
  VERSION       = '3.1.4'.freeze
  RELEASE_DATE  = 'February 06, 2016'.freeze

  # Create the extension.
  @extension = SketchupExtension.new(NAME, 'ams_Lib/main.rb')

  desc = "AMS Library is a collection of tools and functions used to interact "
  desc << "with SketchUp Window an its sub-windows using MSFT Windows API. "
  desc << "This library does nothing by itself."

  # Attach some nice info.
  @extension.description = desc
  @extension.version     = VERSION
  @extension.copyright   = 'Anton Synytsia © 2013-2016'
  @extension.creator     = 'Anton Synytsia (anton.synytsia@gmail.com)'

  # Register and load the extension on start-up.
  ::Sketchup.register_extension @extension, true

  class << self

    # @!attribute [r] extension
    # Get AMS Library extension.
    # @return [SketchupExtension]
    attr_reader :extension

  end # class << self
end # module AMS::Library
